org.encog.app.analyst.analyze

## Class AnalyzedField

- java.lang.Object
- - org.encog.app.analyst.script.DataField
  - - org.encog.app.analyst.analyze.AnalyzedField

-     public class AnalyzedField
      extends DataField

  This class represents a field that the Encog Analyst is in the process of analyzing. This class is used to track statistical information on the field that will help the Encog analyst determine what type of field this is, and how to normalize it.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalyzedField(AnalystScript theScript, String name)` Construct an analyzed field.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `analyze1(String v)` Perform a pass one analysis of this field.
    `void` | `analyze2(String str)` Perform a pass two analysis of this field.
    `void` | `completePass1()` Complete pass 1.
    `void` | `completePass2()` Complete pass 2.
    `DataField` | `finalizeField()` Finalize the field, and create a DataField.
    `List<AnalystClassItem>` | `getAnalyzedClassMembers()` Get the class members.
    `String` | `toString()`

    - ### Methods inherited from class org.encog.app.analyst.script.DataField

      `getClassMembers, getMax, getMean, getMin, getMinClassCount, getName, getSource, getStandardDeviation, isClass, isComplete, isInteger, isReal, setClass, setComplete, setInteger, setMax, setMean, setMin, setName, setReal, setSource, setStandardDeviation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AnalyzedField

          public AnalyzedField(AnalystScript theScript,
                       String name)

      Construct an analyzed field.
      Parameters:
        `theScript` - The script being analyzed.
        `name` - The name of the field.

  - ### Method Detail

    - #### analyze1

          public void analyze1(String v)

      Perform a pass one analysis of this field.
      Parameters:
        `v` - The current value.

    - #### analyze2

          public void analyze2(String str)

      Perform a pass two analysis of this field.
      Parameters:
        `str` - The current value.

    - #### completePass1

          public void completePass1()

      Complete pass 1.

    - #### completePass2

          public void completePass2()

      Complete pass 2.

    - #### finalizeField

          public DataField finalizeField()

      Finalize the field, and create a DataField.
      Returns:
        The new DataField.

    - #### getAnalyzedClassMembers

          public List<AnalystClassItem> getAnalyzedClassMembers()

      Get the class members.
      Returns:
        The class members.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.